Loading...
Searching...
No Matches
Halide::Internal::Autoscheduler::FunctionDAG Struct Reference

`#include <FunctionDAG.h>`

## Classes

struct | SymbolicInterval
struct | Node
struct | Edge

## Public Member Functions

| FunctionDAG (const vector< Function > &outputs, const Target &target)
void | dump (std::ostream &os) const
| FunctionDAG (const FunctionDAG &other)=delete
FunctionDAG & | operator= (const FunctionDAG &other)=delete
| FunctionDAG (FunctionDAG &&other)=delete
FunctionDAG & | operator= (FunctionDAG &&other)=delete
| FunctionDAG (const vector< Function > &outputs, const Target &target)
void | dump () const
std::ostream & | dump (std::ostream &os) const
| FunctionDAG (const FunctionDAG &other)=delete
void | operator= (const FunctionDAG &other)=delete

## Public Attributes

vector< Node > | nodes
vector< Edge > | edges
int | num_non_input_nodes {0}
map< int, const Node * > | stage_id_to_node_map

## Detailed Description

Definition at line 367 of file FunctionDAG.h.

## Constructor & Destructor Documentation

## FunctionDAG() [1/5]

Halide::Internal::Autoscheduler::FunctionDAG::FunctionDAG | ( | const vector< Function > & | outputs,
|  | const Target & | target )

Referenced by FunctionDAG(), FunctionDAG(), operator=(), and operator=().

## FunctionDAG() [2/5]

Halide::Internal::Autoscheduler::FunctionDAG::FunctionDAG | ( | const FunctionDAG & | other | ) |

delete

References FunctionDAG().

## FunctionDAG() [3/5]

Halide::Internal::Autoscheduler::FunctionDAG::FunctionDAG | ( | FunctionDAG && | other | ) |

delete

References FunctionDAG().

## FunctionDAG() [4/5]

Halide::Internal::Autoscheduler::FunctionDAG::FunctionDAG | ( | const vector< Function > & | outputs,
|  | const Target & | target )

## FunctionDAG() [5/5]

Halide::Internal::Autoscheduler::FunctionDAG::FunctionDAG | ( | const FunctionDAG & | other | ) |

delete

References FunctionDAG().

## Member Function Documentation

## dump() [1/3]

void Halide::Internal::Autoscheduler::FunctionDAG::dump | ( | std::ostream & | os | ) | const

## operator=() [1/3]

FunctionDAG & Halide::Internal::Autoscheduler::FunctionDAG::operator= | ( | const FunctionDAG & | other | ) |

delete

References FunctionDAG().

## operator=() [2/3]

FunctionDAG & Halide::Internal::Autoscheduler::FunctionDAG::operator= | ( | FunctionDAG && | other | ) |

delete

References FunctionDAG().

## dump() [2/3]

void Halide::Internal::Autoscheduler::FunctionDAG::dump | ( |  | ) | const

## dump() [3/3]

std::ostream & Halide::Internal::Autoscheduler::FunctionDAG::dump | ( | std::ostream & | os | ) | const

## operator=() [3/3]

void Halide::Internal::Autoscheduler::FunctionDAG::operator= | ( | const FunctionDAG & | other | ) |

delete

References FunctionDAG().

## Member Data Documentation

## nodes

vector< Node > Halide::Internal::Autoscheduler::FunctionDAG::nodes

Definition at line 562 of file FunctionDAG.h.

## edges

vector< Edge > Halide::Internal::Autoscheduler::FunctionDAG::edges

Definition at line 563 of file FunctionDAG.h.

## num_non_input_nodes

int Halide::Internal::Autoscheduler::FunctionDAG::num_non_input_nodes {0}

Definition at line 611 of file FunctionDAG.h.

## stage_id_to_node_map

map<int, const Node *> Halide::Internal::Autoscheduler::FunctionDAG::stage_id_to_node_map

Definition at line 616 of file FunctionDAG.h.

The documentation for this struct was generated from the following files:

- src/autoschedulers/adams2019/FunctionDAG.h
- src/autoschedulers/anderson2021/FunctionDAG.h